Множественные уязвимости в OTRS

Дата публикации:
30.01.2014
Дата изменения:
30.01.2014
Всего просмотров:
645
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:OF/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:H/Au:N/C:P/I:P/A:N/E:U/RL:OF/RC:C) = Base:4/Temporal:3
CVE ID:
CVE-2014-1471
CVE-2014-1694
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OTRS 3.x
Уязвимые версии: OTRS 3.1.x, 3.2.x и 3.3.x, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести CSRF нападение и выполнить произвольные SQL команды.

1. Уязвимость существует из-за недостаточной обработки входных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов. Удаленный пользователь может создать тикеты и отправить или изменить имеющиеся тикеты.

URL производителя: http://www.otrs.com

Решение: Установите последнюю версию 3.3.4, 3.2.14 или 3.1.19 с сайта производителя.

Ссылки: https://www.otrs.com/security-advisory-2014-01-csrf-issue-customer-web-interface/
https://www.otrs.com/security-advisory-2014-02-sql-injection-issue/

или введите имя

CAPTCHA